Loading...
Searching...
No Matches
lzo.h File Reference
`#include <stdint.h>`

Go to the source code of this file.

## Macros

#define | AV_LZO_INPUT_PADDING 8
#define | AV_LZO_OUTPUT_PADDING 12
Error flags returned by av_lzo1x_decode
#define | AV_LZO_INPUT_DEPLETED 1
| end of the input buffer reached before decoding finished
#define | AV_LZO_OUTPUT_FULL 2
| decoded data did not fit into output buffer
#define | AV_LZO_INVALID_BACKPTR 4
| a reference to previously decoded data was wrong
#define | AV_LZO_ERROR 8
| a non-specific error in the compressed bitstream

## Functions

int | av_lzo1x_decode (void *out, int *outlen, const void *in, int *inlen)
| Decodes LZO 1x compressed data.